Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.pcx
Class PCXEncoder

    java.lang.Object
      |
      +--com.sun.jimi.core.util.ProgressMonitorSupport
            |
            +--com.sun.jimi.core.compat.JimiEncoderBase
                  |
                  +--com.sun.jimi.core.encoder.pcx.PCXEncoder

public class PCXEncoder
extends JimiEncoderBase

Field Summary
`protected int` | `COLOR_MODEL`

Fields inherited from class com.sun.jimi.core.compat.JimiEncoderBase
`currentImage, DONE, ERROR, factory, MAX_COLORS_RGB, MULTIIMAGE, NEXTIMAGE`

Fields inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`currentProgressLevel, progressListener`

Constructor Summary
`PCXEncoder()`

Method Summary
`boolean` | `driveEncoder()`
`void` | `freeEncoder()`
`int` | `getState()`
`void` | `initSpecificEncoder(java.io.OutputStream anOutputStream, AdaptiveRasterImage aJimiImage)`
`byte[]` | `makePalette(java.awt.image.IndexColorModel icm, int nColors)`
`void` | `writePcxFooter(LEDataOutputStream aDataOutStream, AdaptiveRasterImage aJimiImage)`
`void` | `writePcxHeader(LEDataOutputStream aDataOutStream, AdaptiveRasterImage aJimiImage)`
`void` | `writePcxImage(RLEOutputStreamForPCX aDataOutStream, AdaptiveRasterImage aJimiImage)`

Methods inherited from class com.sun.jimi.core.compat.JimiEncoderBase
`createAdaptiveRasterImage, createAdaptiveRasterImage, encodeImage, encodeImage, encodeImages, encodeImages, getCapabilties, getJimiImage, getMaxColors, setJimiImage, setNumberOfImages, setProgress`

Methods inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`setProgressListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLOR_MODEL

    protected int COLOR_MODEL

Constructor Detail

### PCXEncoder

    public PCXEncoder()

Method Detail

### initSpecificEncoder

    public void initSpecificEncoder(java.io.OutputStream anOutputStream,
                                    AdaptiveRasterImage aJimiImage)
                             throws JimiException

  Overrides:
    initSpecificEncoder in class JimiEncoderBase

### writePcxHeader

    public void writePcxHeader(LEDataOutputStream aDataOutStream,
                               AdaptiveRasterImage aJimiImage)

### makePalette

    public byte[] makePalette(java.awt.image.IndexColorModel icm,
                              int nColors)

### writePcxImage

    public void writePcxImage(RLEOutputStreamForPCX aDataOutStream,
                              AdaptiveRasterImage aJimiImage)
                       throws JimiException

### writePcxFooter

    public void writePcxFooter(LEDataOutputStream aDataOutStream,
                               AdaptiveRasterImage aJimiImage)

### driveEncoder

    public boolean driveEncoder()
                         throws JimiException

  Overrides:
    driveEncoder in class JimiEncoderBase

### freeEncoder

    public void freeEncoder()
                     throws JimiException

  Overrides:
    freeEncoder in class JimiEncoderBase

### getState

    public int getState()

  Overrides:
    getState in class JimiEncoderBase

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD